Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor
Interface ServerRootMonitor

All Superinterfaces:
  AMX, AMXMBeanLogging, Container, Monitoring, NotificationBroadcaster, NotificationEmitter

public interface ServerRootMonitor
extends Container, Monitoring

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.util.Map` | `getApplicationMonitorMap()`
`java.util.Map` | `getConnectorConnectionPoolMonitorMap()`
`java.util.Map` | `getEJBModuleMonitorMap()`
`HTTPServiceMonitor` | `getHTTPServiceMonitor()`
`java.util.Map` | `getJDBCConnectionPoolMonitorMap()`
`JVMMonitor` | `getJVMMonitor()`
`java.util.Map` | `getORBConnectionManagerMonitorMap()`
`java.util.Map` | `getThreadPoolMonitorMap()`
`TransactionServiceMonitor` | `getTransactionServiceMonitor()`
`java.util.Map` | `getWebModuleVirtualServerMonitorMap()`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.monitor.Monitoring
`getServerRootMonitor`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getEJBModuleMonitorMap

    public java.util.Map getEJBModuleMonitorMap()

  Returns:
    a Map of EJBModuleMonitor for standalone EJBModules, keyed by name.

### getWebModuleVirtualServerMonitorMap

    public java.util.Map getWebModuleVirtualServerMonitorMap()

  Returns:
    a Map of WebModuleVirtualServerMonitor for standalone WebModules, keyed by name.

### getApplicationMonitorMap

    public java.util.Map getApplicationMonitorMap()

  Returns:
    a Map of ApplicationMonitor for J2EE Applications, keyed by name.

### getORBConnectionManagerMonitorMap

    public java.util.Map getORBConnectionManagerMonitorMap()

  Returns:
    a Map of ConnectionManagerMonitor, keyed by name.

### getJDBCConnectionPoolMonitorMap

    public java.util.Map getJDBCConnectionPoolMonitorMap()

### getConnectorConnectionPoolMonitorMap

    public java.util.Map getConnectorConnectionPoolMonitorMap()

### getThreadPoolMonitorMap

    public java.util.Map getThreadPoolMonitorMap()

### getJVMMonitor

    public JVMMonitor getJVMMonitor()

### getTransactionServiceMonitor

    public TransactionServiceMonitor getTransactionServiceMonitor()

### getHTTPServiceMonitor

    public HTTPServiceMonitor getHTTPServiceMonitor()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.